public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/sysdig/
Date: Wed, 26 Apr 2017 14:04:35 +0000 (UTC)	[thread overview]
Message-ID: <1493215463.db48936163500b2bce62fd301eaaa1bc91d08da6.mgorny@gentoo> (raw)

commit:     db48936163500b2bce62fd301eaaa1bc91d08da6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 26 12:00:30 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 26 14:04:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db489361

dev-util/sysdig: Bump to 0.15.1

 dev-util/sysdig/Manifest             |  1 +
 dev-util/sysdig/sysdig-0.15.1.ebuild | 91 ++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-util/sysdig/Manifest b/dev-util/sysdig/Manifest
index 44cfbf2308a..3cd572fbd64 100644
--- a/dev-util/sysdig/Manifest
+++ b/dev-util/sysdig/Manifest
@@ -2,3 +2,4 @@ DIST sysdig-0.12.1.tar.gz 674159 SHA256 7d4ab158ea8059b2340c4b4cc40c315d30b508cb
 DIST sysdig-0.13.0.tar.gz 678671 SHA256 2a5e744cef11348aa36d88bff9974557727e3b632a41e4b3b5e1903d0e911d3e SHA512 7f3229e2b087a09bde31def5695a2e306feff454e172d535455153e5e199c29fb37a2d18b700ca2a89c9d3b4238b72e005f2a12f864adf2025351dc214922cc0 WHIRLPOOL 6adbf65e04f73a0fdafb35cbd2ab4626beab76f66d775bf0c66c5a55cf7a25e3a9feb73e92deab297c8cdd96161d2c0d59cd6e019f4ed7650cadd4bd2e8e1423
 DIST sysdig-0.14.0.tar.gz 682944 SHA256 e6a856fee9f7b00e3a46f176bf39fa737c20e684eeb38d34c1636684c3259e93 SHA512 b08ab671d58e41623003ecddc085da1e61133959578851208b9affc41d50a8163cd17e6beb7cc0c8833f435af9bd4b89565995d3a87920a8c2c1ce1530882f8d WHIRLPOOL 6e730237c590f0310b7cafc3e75c69fed7a996c91c71ec9b8b89e22f78456c6435925aa5e061473df3c29d5c2f5dd8d6ace5e6b659a81f26efefb087238590ac
 DIST sysdig-0.15.0.tar.gz 709358 SHA256 824bfd44c89d60e56a5a7a81a505ec91b6afcb3fd3962bf5697a9afe7ebe5723 SHA512 fe2ab11f5040a6c6970ec4fa1ac525141ca0b7f4a6908a9c9b6dca4807d3b8aeb7edc89ad10e6770a191cb4bccde97e67ef6ec97159a42d91d99a6d0cddef29c WHIRLPOOL 597ce8f47a17c43934c29d9df9c5ebec14729d980bbe5d2cf20a30545f51128f6282ecf41578a6c12a83693c29c77ae8130dd68220ecbc5830f2ccc359bc0de0
+DIST sysdig-0.15.1.tar.gz 712058 SHA256 4b404e15da9050742e62f3d65e0013fb497f84132ead4da61ba658c4f3d33a74 SHA512 49a66ef03468819d648c448c793587c0728443fa80e1bc392f1bdc46df70e5d90b2dfac488c5161b1ec8cc306632555b897c113062652239924f1a483b8d1cf2 WHIRLPOOL a1ef8c4dd89de288a04f4ec33d4978686480d7738f6961033d8f800e4dd2d2bf360b101f6d772772d4f71d4a7d2ad5e83b36c50aaea214f76784b061c482a1fa

diff --git a/dev-util/sysdig/sysdig-0.15.1.ebuild b/dev-util/sysdig/sysdig-0.15.1.ebuild
new file mode 100644
index 00000000000..e6f51bbd632
--- /dev/null
+++ b/dev-util/sysdig/sysdig-0.15.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
+MODULES_OPTIONAL_USE=modules
+inherit linux-mod bash-completion-r1 cmake-utils
+
+DESCRIPTION="A system exploration and troubleshooting tool"
+HOMEPAGE="http://www.sysdig.org/"
+SRC_URI="https://github.com/draios/sysdig/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+modules"
+
+RDEPEND="
+	app-misc/jq:0=
+	dev-lang/luajit:2=
+	>=dev-libs/jsoncpp-0.6_pre:0=
+	dev-libs/libb64:0=
+	sys-libs/ncurses:0=
+	sys-libs/zlib:0=
+	dev-libs/openssl:0=
+	net-misc/curl:0="
+DEPEND="${RDEPEND}
+	app-arch/xz-utils
+	virtual/os-headers"
+
+# needed for the kernel module
+CONFIG_CHECK="HAVE_SYSCALL_TRACEPOINTS ~TRACEPOINTS"
+
+pkg_pretend() {
+	linux-mod_pkg_setup
+}
+
+pkg_setup() {
+	linux-mod_pkg_setup
+}
+
+src_prepare() {
+	sed -i -e 's:-ggdb::' CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		# we will use linux-mod for that
+		-DBUILD_DRIVER=OFF
+		# libscap examples are not installed or really useful
+		-DBUILD_LIBSCAP_EXAMPLES=OFF
+
+		# unbundle the deps
+		-DUSE_BUNDLED_DEPS=OFF
+	)
+
+	cmake-utils_src_configure
+
+	# setup linux-mod ugliness
+	MODULE_NAMES="sysdig-probe(extra:${S}/driver:)"
+	BUILD_PARAMS='KERNELDIR="${KERNEL_DIR}"'
+	BUILD_TARGETS="all"
+
+	if use modules; then
+		cmake-utils_src_make configure_driver
+
+		cp "${BUILD_DIR}"/driver/Makefile.dkms driver/Makefile || die
+	fi
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	linux-mod_src_compile
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	linux-mod_src_install
+
+	# remove sources
+	rm -r "${ED%/}"/usr/src || die
+
+	# move bashcomp to the proper location
+	dobashcomp "${ED%/}"/usr/etc/bash_completion.d/sysdig || die
+	rm -r "${ED%/}"/usr/etc || die
+}


             reply	other threads:[~2017-04-26 14:04 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-26 14:04 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-21 19:57 [gentoo-commits] repo/gentoo:master commit in: dev-util/sysdig/ Sam James
2023-08-21 19:57 Sam James
2023-07-02 15:34 Sam James
2023-07-02 14:36 Sam James
2023-04-29  6:44 Sam James
2023-01-04  6:30 Arthur Zamarin
2023-01-03 18:28 Sam James
2022-08-23  5:34 Sam James
2022-03-09 15:11 Sam James
2022-03-09 15:11 Sam James
2021-12-15 16:12 Michał Górny
2021-05-02 17:56 Mikle Kolyada
2020-10-03 17:00 Michał Górny
2020-09-18  9:38 Michał Górny
2020-08-11 13:43 Michał Górny
2020-05-05  7:15 Michał Górny
2020-05-04  9:37 Michał Górny
2020-04-03 14:12 Michał Górny
2020-03-19 19:51 Michał Górny
2019-12-26 11:27 Michał Górny
2019-09-08  6:43 Michał Górny
2019-08-22  6:49 Michał Górny
2019-08-20 12:06 Michał Górny
2019-08-07  5:43 Michał Górny
2019-05-29  6:25 Michał Górny
2019-03-11 21:44 Michał Górny
2018-12-22  8:35 Michał Górny
2018-10-19  9:57 Michał Górny
2018-10-06  7:11 Michał Górny
2018-10-05  6:41 Michał Górny
2018-09-06 21:22 Michał Górny
2018-08-15  7:29 Michał Górny
2018-08-09 20:40 Michał Górny
2018-08-09 20:40 Michał Górny
2018-08-01  7:27 Michał Górny
2018-07-14  8:28 Michał Górny
2018-05-27  9:03 Michał Górny
2018-03-30 16:45 Michał Górny
2018-03-26 16:14 Michał Górny
2018-01-19 14:08 Michał Górny
2017-11-11  8:28 Michał Górny
2017-10-05 15:48 Michał Górny
2017-09-23 14:18 Michał Górny
2017-08-14  6:07 Michał Górny
2017-08-14  6:07 Michał Górny
2017-07-25  7:58 Michał Górny
2017-07-25  7:58 Michał Górny
2017-06-30  6:18 Michał Górny
2017-05-08 16:07 Michał Górny
2017-03-03 16:21 Thomas Deutschmann
2017-01-26 21:17 Michał Górny
2016-12-21 21:01 Michał Górny
2016-12-21 21:01 Michał Górny
2016-11-15 14:32 Michał Górny
2016-11-15 14:32 Michał Górny
2016-11-15 14:32 Michał Górny
2016-11-11  9:43 Michał Górny
2016-06-23 12:48 Michał Górny
2016-06-17  9:05 Michał Górny
2016-04-16 14:54 Michał Górny
2016-04-16 14:54 Michał Górny
2016-01-16  9:58 Michał Górny
2015-12-12 15:13 Michał Górny
2015-10-29 20:49 Michał Górny
2015-09-28 12:12 Justin Lecher
2015-09-28 11:10 Michał Górny
2015-09-28 11:10 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1493215463.db48936163500b2bce62fd301eaaa1bc91d08da6.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox